<template>
  <div>look console</div>
</template>

<script>
    import { onBeforeMount, onMounted, onBeforeUpdate, onUpdated, onBeforeUnmount, onUnmounted } from "vue";
export default {
name: 'LifecycleHooks',
setup(){
    onBeforeMount(()=>{
        console.log('LifecycleHooks onBeforeMount');
    })
    onMounted(()=>{
        console.log('LifecycleHooks onMounted');
    })
    onBeforeUpdate(()=>{
        console.log('LifecycleHooks onBeforeUpdate');
    })
    onUpdated(()=>{
        console.log('LifecycleHooks onUpdated');
    })
    onBeforeUnmount(()=>{
        console.log('LifecycleHooks onBeforeUnmount');
    })
    onUnmounted(()=>{
        console.log('LifecycleHooks onUnmounted');
    })
}
}
</script>

<style>

</style>